NX Open C++ Reference Guide
|
Represents a CAE::ThicknessBuilder
To create a new instance of this class, use CAE::NodeElementInfoManager::CreateThicknessBuilder
Created in NX6.0.1.
More...
Public Types | |
enum | EntityType { EntityTypeNode, EntityTypeElement } |
Option to Info on Node or Element. More... | |
Public Member Functions | |
bool | AllMeshContext () |
Returns the all mesh in context Created in NX6.0.1. | |
void | Clear () |
The clear context Created in NX6.0.1. | |
void | CreateField () |
The field creation Created in NX6.0.2. | |
NXOpen::CAE::SelectElementsBuilder * | Element () |
Returns the selected elements Created in NX6.0.1. | |
NXOpen::CAE::ThicknessBuilder::EntityType | EntityOption () |
Returns the entity option Created in NX6.0.1. | |
std::vector< double > | GetElementThickness (NXOpen::TaggedObject *element, bool *fFound) |
The method to access nodal thickness at corner nodes of an element, If found the output array will have either 4 values for quad elements and 3 values for tria elements. | |
double | GetNodeThickness (NXOpen::TaggedObject *node, bool *fFound) |
The method to access average nodal thickness. | |
NXOpen::NXColor * | HighThicknessColor () |
Returns the above high color Created in NX6.0.1. | |
NXOpen::NXColor * | LowThicknessColor () |
Returns the low color Created in NX6.0.1. | |
NXOpen::CAE::Mesh * | MeshContext () |
Returns the mesh in context Created in NX6.0.1. | |
NXOpen::NXColor * | MidThicknessColor () |
Returns the mid thickness color Created in NX6.0.1. | |
NXOpen::CAE::SelectFENodeList * | Node () |
Returns the selected node Created in NX6.0.1. | |
void | Plot () |
The plotting method Created in NX6.0.1. | |
double | Scale () |
Returns the thickness scale Created in NX6.0.1. | |
void | SetAllMeshContext (bool fAllMeshes) |
Sets the all mesh in context Created in NX6.0.1. | |
void | SetEntityOption (NXOpen::CAE::ThicknessBuilder::EntityType entityOption) |
Sets the entity option Created in NX6.0.1. | |
void | SetHighThicknessColor (NXOpen::NXColor *highThicknessColor) |
Sets the above high color Created in NX6.0.1. | |
void | SetLowThicknessColor (NXOpen::NXColor *lowThicknessColor) |
Sets the low color Created in NX6.0.1. | |
void | SetMeshContext (NXOpen::CAE::Mesh *meshContext) |
Sets the mesh in context Created in NX6.0.1. | |
void | SetMidThicknessColor (NXOpen::NXColor *goodThicknessColor) |
Sets the mid thickness color Created in NX6.0.1. | |
void | SetScale (double scale) |
Sets the thickness scale Created in NX6.0.1. | |
void | SetZeroThicknessColor (NXOpen::NXColor *noThicknessColor) |
Sets the zero thickness color Created in NX6.0.1. | |
NXOpen::NXColor * | ZeroThicknessColor () |
Returns the zero thickness color Created in NX6.0.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ThicknessBuilder
To create a new instance of this class, use CAE::NodeElementInfoManager::CreateThicknessBuilder
Created in NX6.0.1.
bool NXOpen::CAE::ThicknessBuilder::AllMeshContext | ( | ) |
Returns the all mesh in context
Created in NX6.0.1.
License requirements : None
void NXOpen::CAE::ThicknessBuilder::Clear | ( | ) |
The clear context
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::ThicknessBuilder::CreateField | ( | ) |
The field creation
Created in NX6.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ThicknessBuilder::Element | ( | ) |
Returns the selected elements
Created in NX6.0.1.
License requirements : None
NXOpen::CAE::ThicknessBuilder::EntityType NXOpen::CAE::ThicknessBuilder::EntityOption | ( | ) |
Returns the entity option
Created in NX6.0.1.
License requirements : None
std::vector<double> NXOpen::CAE::ThicknessBuilder::GetElementThickness | ( | NXOpen::TaggedObject * | element, |
bool * | fFound | ||
) |
The method to access nodal thickness at corner nodes of an element, If found the output array will have either 4 values for quad elements and 3 values for tria elements.
element | Valid shell element tag |
fFound | Element result status:found or not found |
double NXOpen::CAE::ThicknessBuilder::GetNodeThickness | ( | NXOpen::TaggedObject * | node, |
bool * | fFound | ||
) |
The method to access average nodal thickness.
node | Valid shell node |
fFound | Node result status:found or not found |
NXOpen::NXColor* NXOpen::CAE::ThicknessBuilder::HighThicknessColor | ( | ) |
Returns the above high color
Created in NX6.0.1.
License requirements : None
NXOpen::NXColor* NXOpen::CAE::ThicknessBuilder::LowThicknessColor | ( | ) |
Returns the low color
Created in NX6.0.1.
License requirements : None
NXOpen::CAE::Mesh* NXOpen::CAE::ThicknessBuilder::MeshContext | ( | ) |
Returns the mesh in context
Created in NX6.0.1.
License requirements : None
NXOpen::NXColor* NXOpen::CAE::ThicknessBuilder::MidThicknessColor | ( | ) |
Returns the mid thickness color
Created in NX6.0.1.
License requirements : None
NXOpen::CAE::SelectFENodeList* NXOpen::CAE::ThicknessBuilder::Node | ( | ) |
Returns the selected node
Created in NX6.0.1.
License requirements : None
void NXOpen::CAE::ThicknessBuilder::Plot | ( | ) |
The plotting method
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
double NXOpen::CAE::ThicknessBuilder::Scale | ( | ) |
Returns the thickness scale
Created in NX6.0.1.
License requirements : None
void NXOpen::CAE::ThicknessBuilder::SetAllMeshContext | ( | bool | fAllMeshes | ) |
Sets the all mesh in context
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
fAllMeshes | All displayed meshes flag |
void NXOpen::CAE::ThicknessBuilder::SetEntityOption | ( | NXOpen::CAE::ThicknessBuilder::EntityType | entityOption | ) |
Sets the entity option
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
entityOption | entityoption |
void NXOpen::CAE::ThicknessBuilder::SetHighThicknessColor | ( | NXOpen::NXColor * | highThicknessColor | ) |
Sets the above high color
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
highThicknessColor | thickness color |
void NXOpen::CAE::ThicknessBuilder::SetLowThicknessColor | ( | NXOpen::NXColor * | lowThicknessColor | ) |
Sets the low color
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
lowThicknessColor | thickness color |
void NXOpen::CAE::ThicknessBuilder::SetMeshContext | ( | NXOpen::CAE::Mesh * | meshContext | ) |
Sets the mesh in context
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
meshContext | Mesh for thickness data access |
void NXOpen::CAE::ThicknessBuilder::SetMidThicknessColor | ( | NXOpen::NXColor * | goodThicknessColor | ) |
Sets the mid thickness color
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
goodThicknessColor | thickness color |
void NXOpen::CAE::ThicknessBuilder::SetScale | ( | double | scale | ) |
Sets the thickness scale
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
scale | scale |
void NXOpen::CAE::ThicknessBuilder::SetZeroThicknessColor | ( | NXOpen::NXColor * | noThicknessColor | ) |
Sets the zero thickness color
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
noThicknessColor | thickness color |
NXOpen::NXColor* NXOpen::CAE::ThicknessBuilder::ZeroThicknessColor | ( | ) |
Returns the zero thickness color
Created in NX6.0.1.
License requirements : None